{pkgs}: let
  myEmacs = pkgs.emacs-nox;
  inherit ((pkgs.emacsPackagesFor myEmacs)) emacsWithPackages;
in
  emacsWithPackages (epkgs:
    (with epkgs.melpaStablePackages; [])
    ++ (with epkgs.melpaPackages; [
      color-theme-sanityinc-solarized
      evil
      evil-collection
      helm
      helm-projectile
      helm-rg
      magit
      nix-mode
      projectile
      xterm-color
    ])
    ++ (with epkgs.elpaPackages; [
      beacon # ; highlight my cursor when scrolling
      nameless # ; hide current package name everywhere in elisp code
    ])
    ++ [
      pkgs.notmuch # From main packages set
    ])
